Bug 142277 - ypbind cannot run with selinux-policy-targeted in place
Summary: ypbind cannot run with selinux-policy-targeted in place
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 3
Hardware: noarch Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-08 18:35 UTC by Orion Poplawski
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 17:20:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2004-12-08 18:35:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040913

Description of problem:
Get the following audit errors trying to run ypbind:

audit(1102529392.008:0): avc:  denied  { execute } for  pid=1807 path=/etc/ld.so.cache dev=hda5 ino=30375 scontext=user_u:system_r:ypbind_t tcontext=system_u:object_r:ld_so_cache_t tclass=file
audit(1102529392.078:0): avc:  denied  { execute } for  pid=1807 path=/usr/lib/locale/locale-archive dev=hda2 ino=97705 scontext=user_u:system_r:ypbind_t tcontext=user_u:object_r:locale_t tclass=file
audit(1102529392.123:0): avc:  denied  { execute } for  pid=1807 path=/usr/lib/locale/en_US.utf8/LC_MESSAGES/SYS_LC_MESSAGES dev=hda2 ino=97679 scontext=user_u:system_r:ypbind_ttcontext=system_u:object_r:locale_t tclass=file
audit(1102529581.222:0): avc:  granted  { setenforce } for  pid=2609 exe=/bin/bash scontext=root:system_r:unconfined_t tcontext=system_u:object_r:security_t tclass=security
audit(1102529586.527:0): avc:  denied  { execute } for  pid=2655 path=/etc/ld.so.cache dev=hda5 ino=30375 scontext=root:system_r:ypbind_t tcontext=system_u:object_r:ld_so_cache_t tclass=file
audit(1102529586.528:0): avc:  denied  { execute } for  pid=2655 path=/usr/lib/locale/locale-archive dev=hda2 ino=97705 scontext=root:system_r:ypbind_t tcontext=user_u:object_r:locale_t tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.39

How reproducible:
Always

Steps to Reproduce:
1.  Install FC3 and update
2.  Try to start ypbind
3.
  

Additional info:

Comment 1 Daniel Walsh 2004-12-10 17:01:49 UTC
This is actually a problem in sane-backend, which is creating the
links and incorrectly labeling them.

Reassigning to sane owner

Comment 2 Orion Poplawski 2004-12-10 17:06:13 UTC
Really?  sane-backend is not installed on the system.

Comment 3 Tim Waugh 2004-12-10 17:08:57 UTC
Reassigning (see comment #2).

Comment 4 Orion Poplawski 2004-12-10 17:20:52 UTC
This is all my fault - I've got a custom ypbind that must not setting
security policy and/or is conflicting with the standard version. 
Apologies...


Note You need to log in before you can comment on or make changes to this bug.